<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Genamoeba</title>
    <style>
        #main {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .debugger {
            font-size: 0.5em;
            position: fixed;
            bottom: 0;
            left: 0;
            width: 100%;
            height: 10em;
            background: rgba(0,0,0,0.5);
            color: #0f0;
            overflow: auto;
        }

        #menuToggle {
            position: fixed;
            top: 8px;
            right: 8px;
            z-index: 2;
        }

        #score {
            position: fixed;
            left: 8px;
            top: 8px;
            z-index: 2;
            text-transform: uppercase;
        }

        button, h1, h2, h3, p {
            background: none;
            color: white;
            font-weight: 800;
            display: block;
            border: none;
            text-shadow: rgba(0,0,0,0.5) 4px 4px;
        }

        button, p {
            font-size: 2rem;
        }

        h1 {
            text-align: center;
            margin-bottom: 1em;
        }

        button:hover {
            color: #fc0;
            cursor: pointer;
        }

        button:focus {
            outline-color: currentColor;
        }

        #modal {
            position: fixed;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            background: #111e;
            background-size: contain;
            background-position: center;
            background-repeat: no-repeat;
            overflow: auto;
        }

        .modal-view {
            width: 100%;
            max-width: 800px;
            margin: 0 auto;
            padding: 4em 1em;
            font-size: 2rem;
        }

        ul {
            font-family: system-ui, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
            list-style-type: disc;
            color: white;
            line-height: 2;
        }

        body {
            font-size: 2rem;
            font-family: system-ui, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
        }

        .collected-dna {
            display: inline-block;
            background: white;
            border-radius: 5px;
            color: black;
            opacity: 0.7;
            text-align: center;
            padding: 16px;
        }

        .collected-dna img {
            width: 128px;
        }
    </style>
</head>
<body>
    <div id="main">
    </div>

    <button id="score"></button>

    <button id="menuToggle">MENU</button>
    <div id="modal" hidden>
        <div class="modal-view js-view-menu">
            <button class="js-restart">Restart</button>
            <button type="button" id="darkTheme">Dark Theme</button>
            <button type="button" id="lightTheme">Light Theme</button>
            <button type="button" class="js-view-button" data-view="help">Help</button>
        </div>
        <div class="modal-view js-view-help">
            <ul>
                <li>Click squares to place items</li>
                <li>Drop food so your Amoebas can survive</li>
                <li>Place Genes so your Amoebas can evolve</li>
                <li>Drop walls to block movement</li>
                <li>Watch out for predators!</li>
            </ul>
        </div>
        <div class="modal-view js-view-lose"></div>
        <div id="js-score-details" class="modal-view"></div>
    </div>

    <script type="application/javascript" src="index.ts"></script>
</body>
</html>
